Subject: Re: Kernel oops with 2.6.26, padlock and ipsec: probably problem with fpu state changes

From: "H. Peter Anvin" <[email-masked]>
Date: Mon, 11 Aug 2008 17:48:44 -0700

Herbert Xu wrote:
> On Mon, Aug 11, 2008 at 05:42:21PM -0700, H. Peter Anvin wrote:
>> That's not sufficient, though, because you have to track all the state 
>> and how it relates to everything.  You now have to track both the 
>> userspace FPU state and the potential kernel FPU state.  The VIA 
>> instructions are special (in the short bus to school sense) in that they 
>> use a mechanism intended to protect specific state to protect -- exactly 
>> nothing.
> 
> Sorry, the kernel TS state is what I meant.  I'm definitely not
> advocating the saving of the kernel FPU state.  This is only for
> things like the VIA (which also exists for other processors, see
> the xor SSE stuff in include/asm-x86).

No, there you are actually using the FPU state (which includes the SSE 
state.)

	-hpa